# Deprecated API

## Contents

- Classes
- Fields
- Methods
- Constructors

Deprecated Classes
Class
Description
org.codehaus.janino.Java.Modifiers
Many methods that previously accepted a parameter of this type now take a `Java.Modifier``[]` (incompatible API change in JANINO version 3.0.13)

Deprecated Fields
Field
Description
org.codehaus.commons.compiler.IExpressionEvaluator.ANY_TYPE
Since autoboxing was introduced in JANINO, this feature is no longer necessary because you can use expression type `Object``.class`

Deprecated Methods
Method
Description
org.codehaus.commons.compiler.CompilerFactoryFactory.getAllCompilerFactories()
Use `CompilerFactoryFactory.getAllCompilerFactories(ClassLoader)` instead
org.codehaus.commons.compiler.CompilerFactoryFactory.getCompilerFactory(String)
Use `CompilerFactoryFactory.getCompilerFactory(String, ClassLoader)` instead
org.codehaus.commons.compiler.CompilerFactoryFactory.getDefaultCompilerFactory()
Use `CompilerFactoryFactory.getDefaultCompilerFactory(ClassLoader)` instead
org.codehaus.commons.compiler.IClassBodyEvaluator.setExtendedType(Class<?>)
Use `IClassBodyEvaluator.setExtendedClass(Class)` instead
org.codehaus.commons.compiler.IClassBodyEvaluator.setImplementedTypes(Class<?>[])
Use `IClassBodyEvaluator.setImplementedInterfaces(Class[])` instead
org.codehaus.commons.compiler.ICompiler.setCharacterEncoding(String)
Use `ICompiler.setSourceCharset(Charset)` instead
org.codehaus.commons.compiler.IExpressionEvaluator.setReturnType(Class<?>)
Use `IExpressionEvaluator.setExpressionType(Class)` instead
org.codehaus.commons.compiler.jdk.ClassBodyEvaluator.setExtendedType(Class<?>)
Use `ClassBodyEvaluator.setExtendedClass(Class)` instead
org.codehaus.commons.compiler.jdk.ClassBodyEvaluator.setImplementedTypes(Class<?>[])
Use `ClassBodyEvaluator.setImplementedInterfaces(Class[])` instead
org.codehaus.commons.compiler.jdk.SimpleCompiler.setParentClassLoader(ClassLoader, Class<?>[])
Auxiliary classes never really worked... don't use them.
org.codehaus.janino.ClassBodyEvaluator.createFastClassBodyEvaluator(Scanner, Class<?>, ClassLoader)
Use `ClassBodyEvaluator.createInstance(Reader)` instead
org.codehaus.janino.ClassBodyEvaluator.createFastClassBodyEvaluator(Scanner, String, Class<?>, Class<?>[], ClassLoader)
Use `ClassBodyEvaluator.createInstance(Reader)` instead
org.codehaus.janino.ExpressionEvaluator.createFastExpressionEvaluator(String, Class<?>, String[], ClassLoader)
Use `ExpressionEvaluator.createFastEvaluator(String, Class, String[])` instead:
org.codehaus.janino.ExpressionEvaluator.createFastExpressionEvaluator(Scanner, String[], String, Class<?>, Class<?>, String[], ClassLoader)
Use `ExpressionEvaluator.createFastEvaluator(Reader, Class, String[])` instead
org.codehaus.janino.ExpressionEvaluator.createFastExpressionEvaluator(Scanner, String, Class<?>, Class<?>, String[], ClassLoader)
Use `ExpressionEvaluator.createFastEvaluator(Reader, Class, String[])` instead
org.codehaus.janino.JavaSourceIClassLoader.setCharacterEncoding(String)
Use `JavaSourceIClassLoader.setSourceCharset(Charset)` instead
org.codehaus.janino.Scanner.close()
This method is deprecated, because the concept described above is confusing. An application should close the underlying `InputStream` or `Reader` itself
org.codehaus.janino.ScriptEvaluator.createFastScriptEvaluator(String, Class<?>, String[])
Use `ScriptEvaluator.createFastEvaluator(Scanner, Class, String[])` instead
org.codehaus.janino.ScriptEvaluator.createFastScriptEvaluator(Scanner, Class<?>, String[], ClassLoader)
Use `ScriptEvaluator.createFastEvaluator(Scanner, Class, String[])` instead
org.codehaus.janino.ScriptEvaluator.createFastScriptEvaluator(Scanner, String[], String, Class<?>, Class<?>, String[], ClassLoader)
Use `ScriptEvaluator.createFastEvaluator(Scanner,Class,String[])` instead:
org.codehaus.janino.ScriptEvaluator.createFastScriptEvaluator(Scanner, String, Class<?>, Class<?>, String[], ClassLoader)
Use `ScriptEvaluator.createFastEvaluator(Scanner, Class, String[])` instead

Deprecated Constructors
Constructor
Description
org.codehaus.janino.Compiler(File[], File[], File[], File[], File, String, boolean, boolean, boolean, boolean, StringPattern[], boolean)
Use `Compiler()` and the various configuration setters instead
org.codehaus.janino.Compiler(ResourceFinder, IClassLoader)
Use `Compiler()` and the various configuration setters instead
org.codehaus.janino.Scanner(File)
This method is deprecated because it leaves the input file open
org.codehaus.janino.Scanner(File, String)
This method is deprecated because it leaves the input file open
org.codehaus.janino.Scanner(String)
This method is deprecated because it leaves the input file open
org.codehaus.janino.Scanner(String, String)
This method is deprecated because it leaves the input file open